summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ryan P.C. McQuen <ryan.q@linux.com>2014-11-06 22:34:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-08 06:30:12 +0700
commitdc7cae285726d66ee149326cdf84489044e7d695 (patch)
tree72d1b02a8d602691fdfd99bedc80d9795fc14b2f
parentf1b90f5eb33276c255c7eb21f62424da6b969b8f (diff)
downloadslackbuilds-dc7cae285726d66ee149326cdf84489044e7d695.tar.gz
slackbuilds-dc7cae285726d66ee149326cdf84489044e7d695.tar.xz
desktop/uwm: Updated for version 0.2.11a.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/uwm/README2
-rw-r--r--desktop/uwm/slack-desc26
-rw-r--r--desktop/uwm/uwm.SlackBuild43
-rw-r--r--desktop/uwm/uwm.desktop6
-rw-r--r--desktop/uwm/uwm.info10
5 files changed, 42 insertions, 45 deletions
diff --git a/desktop/uwm/README b/desktop/uwm/README
index 09b32466b6..92680f7c13 100644
--- a/desktop/uwm/README
+++ b/desktop/uwm/README
@@ -9,4 +9,4 @@ so well known "classical" window management user interface.
System wide configuration files are in /usr/share/uwm/config/.
User specific configuration files are in $HOME/.ude/config/.
-HTML documentation is provided in /usr/doc/uwm-0.2.10a/html/.
+HTML documentation is provided in /usr/doc/uwm-0.2.11a/html/.
diff --git a/desktop/uwm/slack-desc b/desktop/uwm/slack-desc
index 2e2d54b245..dc6f851784 100644
--- a/desktop/uwm/slack-desc
+++ b/desktop/uwm/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description.
-# Line up the first '|' above the ':' following the base package name, and
-# the '|' on the right side marks the last column you can put a character in.
-# You must make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-uwm: uwm (ultimate window manager)
+uwm: uwm (the ultimate window manager)
uwm:
-uwm: The UDE-Project is creating a new WM which will be a complete GUI in
-uwm: the future. The project does not use any special GUI-Libraries such
-uwm: as QT or GTK+. It just uses the standard Xlibs (both to keep UDE fast
-uwm: and slim and to avoid dependencies).
+uwm: This is uwm, the ultimate window manager, which will be one day
+uwm: part of ude, the unix desktop environment. ude - get used to it.
+uwm:
+uwm:
+uwm:
+uwm:
+uwm: http://udeproject.sourceforge.net
uwm:
-uwm: UDE has a completely original Look'n'Feel, it's not just another copy
-uwm: of the so well known "classical" window management user interface.
uwm:
-uwm: Homepage: http://udeproject.sourceforge.net
diff --git a/desktop/uwm/uwm.SlackBuild b/desktop/uwm/uwm.SlackBuild
index 534cc98f98..27d8d81aab 100644
--- a/desktop/uwm/uwm.SlackBuild
+++ b/desktop/uwm/uwm.SlackBuild
@@ -1,7 +1,11 @@
#!/bin/sh
# Slackware build script for uwm
-#
+
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# Thanks to Thorn Inurcide
+
# Copyright 2011-2013 Tracy Williams <t_s_williams[at]yahoo[dot]com>
# All rights reserved.
#
@@ -23,15 +27,15 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=uwm
-VERSION=0.2.11
+VERSION=${VERSION:-0.2.11a}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
esac
fi
@@ -64,10 +68,10 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -76,31 +80,24 @@ CXXFLAGS="$SLKCFLAGS" \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# Add xinitrc.uwm so that uwm will show up as an option in xwmconfig
-install -D -m 0755 $CWD/xinitrc.uwm $PKG/etc/X11/xinit/xinitrc.uwm
-
-# Include a session file for e.g. gdm
+#Add desktop file
mkdir -p $PKG/usr/share/xsessions
cat $CWD/uwm.desktop > $PKG/usr/share/xsessions/uwm.desktop
-# Provide a more Slackware specific menu
-mv -f $PKG/usr/share/$PRGNAM/config/appmenu $PKG/usr/share/$PRGNAM/config/appmenu.orig
-cat $CWD/appmenu > $PKG/usr/share/$PRGNAM/config/appmenu
-
-# Disable StopScript, it attempts to unmount removable drives after uwm exits
-chmod 0644 $PKG/usr/share/$PRGNAM/config/StopScript
+#Add xinitrc
+install -D -m 0755 $CWD/xinitrc.uwm $PKG/etc/X11/xinit/xinitrc.uwm
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- AUTHORS ChangeLog COPYING INSTALL INSTALL.UDE NEWS REQUIREMENTS README \
+cp -a AUTHORS COPYING ChangeLog INSTALL INSTALL.UDE NEWS README REQUIREMENTS \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
diff --git a/desktop/uwm/uwm.desktop b/desktop/uwm/uwm.desktop
index 8536b7ae0c..3b456f42d7 100644
--- a/desktop/uwm/uwm.desktop
+++ b/desktop/uwm/uwm.desktop
@@ -1,6 +1,6 @@
[Desktop Entry]
-Type=XSession
-Exec=uwm
-TryExec=uwm
Name=UWM
Comment=The Ultimate Window Manager
+Icon=
+Exec=uwm
+Type=Application
diff --git a/desktop/uwm/uwm.info b/desktop/uwm/uwm.info
index 02005a8bf6..bd8c28c998 100644
--- a/desktop/uwm/uwm.info
+++ b/desktop/uwm/uwm.info
@@ -1,10 +1,10 @@
PRGNAM="uwm"
-VERSION="0.2.11"
+VERSION="0.2.11a"
HOMEPAGE="http://udeproject.sourceforge.net"
-DOWNLOAD="http://downloads.sourceforge.net/udeproject/uwm-0.2.11.tar.gz"
-MD5SUM="d4952a7edffd30ac07f32fce244c86d7"
+DOWNLOAD="http://superb-dca3.dl.sourceforge.net/project/udeproject/UWM/uwm-0.2.11a%20stable/uwm-0.2.11a.tar.gz"
+MD5SUM="2bec055aa0404fe46d1bbbb828924636"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Tracy Williams"
-EMAIL="t_s_williams[at]yahoo[dot]com"
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"